# ViewerScenePanel (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stage.tools.viewer
Class ViewerScenePanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  com.threerings.media.MediaPanel
                      com.threerings.media.VirtualMediaPanel
                          com.threerings.miso.client.MisoScenePanel
                              com.threerings.stage.client.StageScenePanel
                                  com.threerings.stage.tools.viewer.ViewerScenePanel

All Implemented Interfaces:
  ControllerProvider, RadialMenu.Host, com.threerings.crowd.client.PlaceView, com.threerings.media.FrameParticipant, com.threerings.media.MediaConstants, com.threerings.media.MediaHost, com.threerings.media.sprite.PathObserver, com.threerings.media.util.AStarPathUtil.TraversalPred, com.threerings.media.util.PerformanceObserver, KeyListener, MouseListener, MouseMotionListener, ImageObserver, MenuContainer, Serializable, EventListener

    public class ViewerScenePanel

extends StageScenePanel
implements com.threerings.media.util.PerformanceObserver, com.threerings.media.sprite.PathObserver

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.threerings.media.MediaPanel
`com.threerings.media.MediaPanel.Obscurer`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Component
`Component.BaselineResizeBehavior`

Field Summary

Fields inherited from class com.threerings.stage.client.StageScenePanel
`CLUSTER_CLICKED, LOCATION_CLICKED, SHOW_CLUSTERS, SHOW_PLOTS`

Fields inherited from class com.threerings.miso.client.MisoScenePanel
`SHOW_TIPS`

Fields inherited from class com.threerings.media.VirtualMediaPanel
`CENTER_ON_PATHABLE, ENCLOSE_PATHABLE, TRACK_PATHABLE`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.threerings.media.MediaConstants
`ALL, BACK, FRONT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ViewerScenePanel(StageContext ctx, com.threerings.cast.CharacterManager charmgr)` Construct the panel and initialize it with a context.

Method Summary
`void` `checkpoint(String name, int ticks)`
`void` `createDecoys()` Creates the decoy sprites.
`void` `mousePressed(MouseEvent e)`
`void` `paint(Graphics g)`
`void` `pathCancelled(com.threerings.media.sprite.Sprite sprite, com.threerings.media.util.Path path)`
`void` `pathCompleted(com.threerings.media.sprite.Sprite sprite, com.threerings.media.util.Path path, long when)`
`void` `setScene(StageScene scene, Location defloc)`

Methods inherited from class com.threerings.stage.client.StageScenePanel
`didLeavePlace, getColorizer, getController, getPortal, getScene, keyPressed, keyReleased, keyTyped, removeCluster, sceneUpdated, setScene, updateCluster, willEnterPlace`

Methods inherited from class com.threerings.miso.client.MisoScenePanel

`addNotify, canTraverse, centerOnTile, checkShowFlag, clearRadialMenu, computeIndicators, computeInfluentialBounds, enumerateResolvedBlocks, getBlock, getComponent, getFullCoords, getHoverCoords, getHoverObject, getPath, getSceneMetrics, getSceneModel, getScreenCoords, getTileCoords, getViewBounds, menuDeactivated, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, pressObject, refreshScene, removeNotify, repaintRect, reportMemoryUsage, setBounds, setSceneModel, setShowFlags`

Methods inherited from class com.threerings.media.VirtualMediaPanel
`addViewTracker, clearPathable, doLayout, removeViewTracker, setBackground, setFollowsPathable, setViewLocation`

Methods inherited from class com.threerings.media.MediaPanel
`abortAnimation, addAnimation, addObscurer, addSprite, clearAnimations, clearSprites, createGraphics, getAnimationManager, getRegionManager, getSpriteManager, getTimeStamp, isManaged, isManaged, needsPaint, removeObscurer, removeSprite, repaint, setOpaque, setPaused, tick`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewerScenePanel

    public ViewerScenePanel(StageContext ctx,
                            com.threerings.cast.CharacterManager charmgr)

  Construct the panel and initialize it with a context.

Method Detail

### setScene

    public void setScene(StageScene scene,
                         Location defloc)

### createDecoys

    public void createDecoys()

  Creates the decoy sprites.

### paint

    public void paint(Graphics g)

  Overrides:
    `paint` in class `com.threerings.miso.client.MisoScenePanel`

### checkpoint

    public void checkpoint(String name,
                           int ticks)

  Specified by:
    `checkpoint` in interface `com.threerings.media.util.PerformanceObserver`

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `com.threerings.miso.client.MisoScenePanel`

### pathCancelled

    public void pathCancelled(com.threerings.media.sprite.Sprite sprite,
                              com.threerings.media.util.Path path)

  Specified by:
    `pathCancelled` in interface `com.threerings.media.sprite.PathObserver`

### pathCompleted

    public void pathCompleted(com.threerings.media.sprite.Sprite sprite,
                              com.threerings.media.util.Path path,
                              long when)

  Specified by:
    `pathCompleted` in interface `com.threerings.media.sprite.PathObserver`

Copyright © 2011. All Rights Reserved.